%global mod_name ssh-credentials-plugin
%global short_name ssh-credentials
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-ssh-credentials-plugin
Version:        1.11
Release:        2%{?dist}
Summary:        Jenkins SSH Credentials Plugin

License:        MIT
URL:            https://github.com/jenkinsci/ssh-credentials-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

Patch0:         implement-missing-method.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jcip:jcip-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.sshd:sshd-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:credentials)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-jdk14)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This package provides Jenkins SSH credentials plugin.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

%pom_add_dep net.jcip:jcip-annotations
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing dep org.codehaus.mojo:findbugs-maven-plugin
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 02 2015 Michal Srb <msrb@redhat.com> - 1.11-1
- Update to 1.11

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.10-5
- Migrate to .hpi with symlinks

* Tue Apr 14 2015 Michal Srb <msrb@redhat.com> - 1.10-4
- Rebuild

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.10-3
- Rebuild to fix plugin dependencies

* Fri Nov 14 2014 Michal Srb <msrb@redhat.com> - 1.10-2
- Fix FTBFS

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to upstream version 1.10

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.6.1-4
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.6.1-3
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Michal Srb <msrb@redhat.com> - 1.6.1-1
- Update to upstream version 1.6.1

* Mon Jan 13 2014 Michal Srb <msrb@redhat.com> - 1.6-1
- Initial packaging

